
def zipfiles(file1, file2):
    import os
    import shutil
    import zipfile

    def create_zip(zip_name, files):
        with zipfile.ZipFile(zip_name, 'w') as zipf:
            for file in files:
                zipf.write(file, os.path.basename(file))

    base_name = os.path.splitext(os.path.basename(file1))[0]
    zip_name = f"{base_name}.zip"

    create_zip(zip_name, [file1, file2])

    return zip_name



